/* CSS perso */

/* To fix underlined links */
a:where(:not(.wp-element-button)) {
    text-decoration: none;
}

/* To fix increased margin in Masonry */
figure {
    margin: 0;
}



:root {
    --main-color: #ff8758;
    --main-bg-color-2: #423057;
    --alt-color: #162129;
    --checklist: #80C89E;
    --checklist-alt-2: #0e6422;
    --checklist-alt: var(--light-color);


    --title-font: 'notoserifdisplay', Helvetica, Arial, sans-serif;
    --body-font: 'opensans', Helvetica, Arial, sans-serif;



    --gap: 20px;
    --small-radius: 5px;
    --regular-radius: 15px;
    --big-radius: 30px;
    --main-color-shadow: #005494ba;
    --shadow: 12px 24px 20px rgba(0, 0, 0, .15);
    --light-color: #ffffff;
    --bg-opacity: .25;

}


/* Fluid font size variables, for browsers that support clamp */
@supports (font-size: clamp(1rem, 1vw, 1rem)) {
    :root {
        --font-size-sm: clamp(0.8rem, 0.17vw + 0.76rem, 0.89rem);
        --font-size-base: clamp(1rem, 0.34vw + 0.91rem, 1.19rem);
        --font-size-md: clamp(1.25rem, 0.61vw + 1.1rem, 1.58rem);
        --font-size-lg: clamp(1.56rem, 1vw + 1.31rem, 2.11rem);
        --font-size-xl: clamp(1.95rem, 1.56vw + 1.56rem, 2.81rem);
        --font-size-xxl: clamp(2.44rem, 2.38vw + 1.85rem, 3.75rem);
        --font-size-xxxl: clamp(3.05rem, 3.54vw + 2.17rem, 5rem);
    }
}

/* Fallback variables for browsers that don't support clamp */
@supports not (font-size: clamp(1rem, 1vw, 1rem)) {
    :root {
        --font-size-sm: 0.8rem;
        --font-size-base: 1rem;
        --font-size-md: 1.25rem;
        --font-size-lg: 1.56rem;
        --font-size-xl: 1.95rem;
        --font-size-xxl: 2.44rem;
        --font-size-xxxl: 3.05rem;
    }

    @media screen and (min-width: 1280px) {
        :root {
            --font-size-sm: 0.89rem;
            --font-size-base: 1.19rem;
            --font-size-md: 1.58rem;
            --font-size-lg: 2.11rem;
            --font-size-xl: 2.81rem;
            --font-size-xxl: 3.75rem;
            --font-size-xxxl: 5rem;
        }
    }
}



#top h1,
#top h2,
#top h3,
#top h4,
#top h5,
#top h6,
#top .avia-animated-number-title {
    text-transform: unset;

}

#top h1 small,
#top h2 small,
#top h3 small,
#top h4 small,
#top h5 small,
#top h6 small {
    font-family: var(--body-font);
    font-size: var(--font-size-sm);
    font-weight: 500;
    text-transform: uppercase;
    letter-spacing: 2.3px;
    line-height: 1.45em;
    display: inline-block;

}


#top .template-page .entry-content-wrapper h1,
.template-page .entry-content-wrapper h2,
#top .widgettitle {
    letter-spacing: 0;
}


#top .widgettitle {
    font-size: var(--font-size-mc);
}


#top h1 {
    font-size: var(--font-size-xxl);
}

#top h2 {
    font-size: var(--font-size-xl);
}

#top h2.iconbox_content_title,
#top #welcome h1 {
    font-size: var(--font-size-lg);
}

#top h3 {
    font-size: var(--font-size-lg);
}

#top h4 {
    font-size: var(--font-size-md);
}

#top h5 {
    font-size: var(--font-size-base);
}


body {
    font-size: var(--font-size-base);
}

small {
    font-size: var(--font-size-sm);
}

#top .av-special-heading .av-subheading {
    font-size: var(--font-size-md);
}



#top .avia_textblock p,
#top .iconlist_content p {
    text-align: justify;
}



#top .avia-divider-svg {
    z-index: 2;
}


/* Correction sous-menu header */
#top .av-main-nav ul li a {
    border: 0px !important;
    padding: 15px 25px;
    font-size: var(--font-size-sm);
}



#top .avia-logo-grid .slide-entry-wrap {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}

#top .avia-logo-grid .slide-entry-wrap .slide-entry img {
    max-height: 150px;
    padding: 30px;
}

#top .av-menu-button > a .avia-menu-text {
    border-radius: 150px;
}


#top .av-submenu-container {
    font-size: var(--font-size-sm);
    font-weight: bold;
    text-transform: uppercase;
    line-height: 1.65em;
    box-shadow: inset 0px 10px 25px -30px #000, 0px 22px 20px -24px #000;
        border-bottom-width: 0;
}


/* Correction des galeries d'images */

#top .gallery {
    --gap: 15px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin: calc(-1 * var(--gap)) 0 0 calc(-1 * var(--gap));
    width: calc(100% + var(--gap));
    padding-bottom: 30px;

}

#top .gallery .gallery-item {
    width: unset;
    height: unset;
    margin: var(--gap) 0 0 var(--gap);
}


#top .gallery.gallery-columns-2 .gallery-item {
    width: calc(50% - var(--gap));
}

#top .gallery.gallery-columns-3 .gallery-item {
    width: calc(33% - var(--gap));
}

#top .gallery.gallery-columns-4 .gallery-item {
    width: calc(25% - var(--gap));
}

#top .gallery.gallery-columns-5 .gallery-item {
    width: calc(20% - var(--gap));
}

#top .gallery.gallery-columns-6 .gallery-item {
    width: calc(16.6% - var(--gap));
}


.grecaptcha-badge {
    display: none;
}

.container_wrap {
    border-top-width: 0px;
}


.main_color strong,
.main_color b,
.alternate_color strong,
.alternate_color b {
    color: inherit;
}


#top .iconbox.av-no-box .iconbox_icon {
    margin: 0 auto 20px auto;
    width: 65px;
    height: 65px;
    line-height: 65px;
    border-width: 0px;
    font-size: 65px;
}


.zone-feature.framed {
    padding: 100px;
}

.zone-feature.framed:before {
    content: '';
    width: calc(100% - 100px);
    height: calc(100% - 100px);
    display: block;
    position: absolute;
    visibility: visible;
    opacity: 1;
    z-index: 1;
    border: 50px solid #fff;
    top: 0;
    left: 0;
}


.zone-feature.left .av-parallax.active-parallax,
.zone-feature.right .av-parallax.active-parallax {
    width: 50%;
}


.zone-feature.right .av-parallax.active-parallax {
    right: 0;
    left: unset;
}

#top .avia-button.avia-sonar-shadow:after {
    border-radius: 150px;}

#top .encart {
    padding: 5%;
}


#top .encart.light {
    background-color: var(--light-color);
}

#top .encart.alt {
    background-color: var( --main-bg-color-2);
}

#top .encart.alt > *,
#top .encart.alt h1,
#top .encart.alt h2,
#top .encart.alt h3,
#top .encart.alt h4,
#top .encart.alt h5,
#top .encart.alt h6 {
   color: var(--light-color) !important;
}

#top .encart.alt p {
    text-align: unset;
}

#top .encart.shadow {
    box-shadow: var(--shadow);
}



/*Correction formulaire de contact*/
/*Amelioration formulaire*/


#top .main_color .input-text,
#top .main_color input[type='text'],
#top .main_color input[type='input'],
#top .main_color input[type='password'],
#top .main_color input[type='email'],
#top .main_color input[type='number'],
#top .main_color input[type='url'],
#top .main_color input[type='tel'],
#top .main_color input[type='search'],
#top .main_color textarea,
#top .main_color select {

    background-color: #fff;
}


#top .main_color .input-text,
#top .main_color input[type='text'],
#top .main_color input[type='input'],
#top .main_color input[type='password'],
#top .main_color input[type='email'],
#top .main_color input[type='number'],
#top .main_color input[type='url'],
#top .main_color input[type='tel'],
#top .main_color input[type='search'],
#top .main_color textarea,
#top .main_color select {
    /*border-color: rgba(255,255,255,0.1);
    background-color: rgba(0,0,0,0.33);
    color: #ffffff;*/
}

#top .alternate_color .input-text,
#top .alternate_color input[type='text'],
#top .alternate_color input[type='input'],
#top .alternate_color input[type='password'],
#top .alternate_color input[type='email'],
#top .alternate_color input[type='number'],
#top .alternate_color input[type='url'],
#top .alternate_color input[type='tel'],
#top .alternate_color input[type='search'],
#top .alternate_color textarea,
#top .alternate_color select {
    border-color: rgba(255, 255, 255, 0.35) !important;
    background-color: rgba(0, 0, 0, 0);
    color: #ffffff;
}


#top .main_color input::placeholder,
#top .main_color textarea::placeholder {
    /*  color: rgba(255,255,255,0.75);*/

}


#top .input-text,
#top input[type="text"],
#top input[type="input"],
#top input[type="password"],
#top input[type="email"],
#top input[type="number"],
#top input[type="url"],
#top input[type="tel"],
#top input[type="search"],
#top textarea,
#top select,
#top form {
    margin-bottom: 0px;
}

.full-form .input-text,
.full-form input[type="text"],
.full-form input[type="input"],
.full-form input[type="password"],
.full-form input[type="email"],
.full-form input[type="number"],
.full-form input[type="url"],
.full-form input[type="tel"],
.full-form input[type="search"],
.full-form textarea,
.full-form select,
.full-form input[type="date"],
p.wysija-paragraph input[type='text'].wysija-input {
    font-size: 1.1em !important;
    font-weight: normal !important;
    padding: 15px 15px !important;
    border-radius: 0 !important;
    border: 1px solid;
    font-family: var(--body-font);
}


#top .full-form p {
    margin: 0 0 10px 0;
}

#top .full-form .wpcf7-form-control-wrap .wpcf7-list-item {
    margin: 0;
}

#top .wpcf7-not-valid-tip {
    color: #dc3232;
    font-size: 0.6em;
    font-weight: 500;
    display: block;
    text-transform: uppercase;
    line-height: 1.15em;
    margin-top: 10px;
}

#top .input-text,
#top input[type="text"],
#top input[type="input"],
#top input[type="password"],
#top input[type="email"],
#top input[type="number"],
#top input[type="url"],
#top input[type="tel"],
#top input[type="search"],
#top textarea,
#top select,
#top div form .form-row input.input-text,
#top div #content .form-row input.input-text,
#top div form .form-row textarea,
#top div #content .form-row textarea {
    font-family: var(--body-font);
    padding: 10px 20px;
}




.full-form .input-text::placeholder,
.full-form input[type="text"]::placeholder,
.full-form input[type="input"]::placeholder,
.full-form input[type="password"]::placeholder,
.full-form input[type="email"]::placeholder,
.full-form input[type="number"]::placeholder,
.full-form input[type="url"]::placeholder,
.full-form input[type="tel"]::placeholder,
.full-form input[type="search"]::placeholder,
.full-form textarea::placeholder,
.full-form select::placeholder,
.full-form input[type="date"]::placeholder,
p.wysija-paragraph input[type='text'].wysija-input::placeholder {
    font-size: 0.85rem;
}





.full-form input[type="date"] {
    padding: 6px !important;
}

.full-form {
    --gap: 15px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin: calc(-1 * var(--gap)) 0 0 calc(-1 * var(--gap));
    width: calc(100% + var(--gap));
}


.full-form>div {
    width: unset;
    height: unset;
    margin: var(--gap) 0 0 var(--gap);
}





.full-form .plein {
    width: 100%;
}

.full-form .demi {
    width: calc(50% - var(--gap));
}

.full-form .tier {
    width: calc(33% - var(--gap));
}



.script_ref {
    height: 0;
    display: none;
}


.wpcf7 form .wpcf7-response-output {
    display: inline-flex;
}


@media only screen and (max-width: 990px) {

    .full-form .input-text,
    .full-form input[type="text"],
    .full-form input[type="input"],
    .full-form input[type="password"],
    .full-form input[type="email"],
    .full-form input[type="number"],
    .full-form input[type="url"],
    .full-form input[type="tel"],
    .full-form input[type="search"],
    .full-form textarea,
    .full-form select,
    .full-form input[type="date"],
    p.wysija-paragraph input[type='text'].wysija-input {
        font-size: 1em !important;
    }


    .full-form .plein,
    .full-form .demi,
    .full-form .tier {
        width: 100%;
    }

}




/*Correction cookies notice*/

#scroll-top-link,
#av-cookie-consent-badge {
    background-color: var(--main-color);
    background-position: center center;
}


#scroll-top-link,
#av-cookie-consent-badge {
    color: #fff;
    border: 0px solid;
}

#scroll-top-link:hover,
#av-cookie-consent-badge:hover {
    border: 0;
}


#av-cookie-consent-badge,
#scroll-top-link {
    border-radius: 0;
    height: 50px;
    width: 50px;
    line-height: 50px;
    font-size: 18px;
}


#av-cookie-consent-badge:before {
    font-size: 18px;
}



#av-cookie-consent-badge.av-consent-badge-left-bottom {
    bottom: 30px;
    left: 30px;
}


#scroll-top-link {
    right: 100px;
    bottom: 30px;
}

.avia-popup .av-inline-modal.avia-hide-popup-close .mfp-close {
    display: block;
}


.avia-cookie-consent {
    background-color: #fff;
    color: #000;
    padding: 30px;
    text-align: left;
    border-radius: 10px;
    box-shadow: 0 10px 80px -30px rgba(0, 0, 0, 0.45);
}


.avia-cookie-consent:before {
    font-family: 'entypo-fontello';
    content: '\e824';
    font-size: 100px;
    opacity: 0.25;
    position: absolute;
    bottom: 0;
    right: 0;
}

.avia-cookie-consent p {
    font-size: 0.85rem;
    letter-spacing: 0;
    line-height: 1.45em;
}

.avia-cookie-consent .avia-cookie-consent-button,
.avia-popup .avia-cookie-consent-button {
    background-color: #fff;
    border: 2px solid #000;
    font-size: 11px !important;
    color: #000;
    padding: 10px 15px;
    margin: 10px 10px 10px 0;
    float: left;
    box-shadow: 0 30px 120px -30px #000;
}




.avia-cookie-consent .avia-cookie-consent-button.avia-cookie-hide-notification,
.avia-popup .avia-cookie-consent-button.avia-cookie-hide-notification {
    background-color: #fff;
    color: var(--main-color);
    border-color: var(--main-color);
    margin-right: 10px;
}


.avia-cookie-consent .avia-cookie-consent-button.av-extra-cookie-btn,
.avia-popup .avia-cookie-consent-button.av-extra-cookie-btn {
    color: #000;
    background-color: transparent;
    border-color: #000;
}




#top ul.social_bookmarks {
    height: 50px;
    width: fit-content;
}

#top #footer ul.social_bookmarks {
    margin: 7px 0 15px 0;
}


#top nav .social_bookmarks {
    top: 50%;
    margin-top: unset;
    transform: translateY(-50%);
}


#top .social_bookmarks li {
    width: 50px;
    margin: 0;
    clear: unset;
    border-color: rgba(0, 0, 0, 0.25);
}


#top .av-section-bottom-logo .social_bookmarks,
.html_bottom_nav_header #top .av-logo-container .social_bookmarks {
    top: 23px;
}

#top .av-logo-container .social_bookmarks li a {
    border-radius: 0;
}


#top .footer_color .social_bookmarks li {
    border-color: rgba(255, 255, 255, 0.25);
}

#top .social_bookmarks li:last-of-type {
    border-right-width: 0;
}

#top .social_bookmarks li a {
    width: 50px;
    line-height: 50px;
    min-height: 50px;
    font-size: 1.25rem;
    text-decoration: unset;
}


#top #footer .av-social-sharing-box.av-social-sharing-box-same-width .av-share-box ul li a {
    line-height: 55px;
    font-size: 19px;
    padding: 0;
}


/* Footer */


#footer .flex_column.av_one_fourth.first {
    margin-top: 0;
}



#footer .flex_column.av_one_fourth {
    margin-top: 30px;
}



/* Amelioroation Menu footer */

#footer {
    padding: 0;
    z-index: 2;
}


#footer p {
    line-height: 1.15em;
    text-align: justify;
}

#top .widget_nav_menu a {
    padding: 0;
}


#top .content .flex_column .widget_nav_menu li:first-child {
    border-top-width: 0;
}

#top .content .flex_column .widget_nav_menu li {
    border-bottom-width: 0;
}

#top #footer .content .flex_column .widget_nav_menu li a:hover {
    background-color: unset;
}

#top .content .flex_column .widget_nav_menu li a {
    padding: 0;
}

#top #footer .widget_nav_menu li {
    font-size: initial;
}

#top #footer .widget_nav_menu li a,
#top #footer .widget_nav_menu li:before {
    transition: all 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

#top #footer .widget_nav_menu li a {
    opacity: 0.75;
}

#top #footer .widget_nav_menu li:before {
    content: '';
    width: 5px;
    height: 2px;
    background-color: var(--main-color);
    position: absolute;
    left: 0;
    top: calc(50% - 2px);
    transform: scaleX(0);
    transform-origin: left;

}

#top #footer .widget_nav_menu li:hover::before {
    transform: scaleX(1);
}


#top #footer .widget_nav_menu li:hover a {
    opacity: 1;
    color: var(--light-color);
    transform: translateX(10px);
}



/* Amelioration Socket */

footer .container {
    border-top: 1px solid #a191cc;
}


@media only screen and (max-width: 990px) {
    footer .container {
        display: flex;
        flex-direction: column-reverse;
        flex-wrap: nowrap;
        align-items: center;
        text-align: center;

    }

    #socket .menu {
        display: flex;
        flex-wrap: nowrap;
        align-items: center;
        flex-direction: row;
        justify-content: center;
        align-content: center;
    }
}